Clanbite Social Kit clanbite-social-kit/v1

GET | POST /wp-json/clanbite-social-kit/v1/posts/(?P<id>\d+)/comments

GET

List comments on a post.

Public. Anyone can call this endpoint.

Handled by get_comments()

POST

Add a comment to a post.

Access is checked by require_login().

ArgumentTypeDefaultDescription
id requiredinteger

Handled by create_comment()

Example

curl -X GET 'https://example.com/wp-json/clanbite-social-kit/v1/posts/(?P<id>\d+)/comments'

Defined in inc/Rest/Rest_Controller.php